Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Worker_Task Class Reference

Base Worker Task. More...

`#include <Worker_Task.h>`

Inheritance diagram for TAO_NS_Worker_Task:

[legend]
List of all members.

## Public Methods
| TAO_NS_Worker_Task (void)
| Constuctor. More...
virtual void | init (TAO_NS_AdminProperties &admin_properties)
| Init AdminProperties. More...
virtual void | update_qos_properties (const TAO_NS_QoSProperties &qos_properties)
| Update QoS Properties. More...
virtual void | exec (TAO_NS_Method_Request &method_request)=0
| = Public method to be implemented by subclasses. Exec the request. More...
virtual void | shutdown (void)=0
| Shutdown task. More...
virtual TAO_NS_Timer * | timer (void)=0
| The object used by clients to register timers. More...
virtual TAO_NS_Buffering_Strategy * | buffering_strategy (void)=0
## Protected Methods
virtual | ~TAO_NS_Worker_Task ()
| Destructor. More...

## Detailed Description

Base Worker Task.

Memory Management : The Worker Task should be allocated on the heap and the <shutdown> method should be called to release memory.

## Constructor & Destructor Documentation

TAO_NS_Worker_Task::TAO_NS_Worker_Task | ( | void |  | ) |

| Constuctor.

TAO_NS_Worker_Task::~TAO_NS_Worker_Task | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

virtual TAO_NS_Buffering_Strategy* TAO_NS_Worker_Task::buffering_strategy | ( | void |  | ) | `[pure virtual]`

| Reimplemented in TAO_NS_Reactive_Task, and TAO_NS_ThreadPool_Task.

virtual void TAO_NS_Worker_Task::exec | ( | TAO_NS_Method_Request & | method_request | ) | `[pure virtual]`

| = Public method to be implemented by subclasses. Exec the request. Reimplemented in TAO_NS_Reactive_Task, and TAO_NS_ThreadPool_Task.

void TAO_NS_Worker_Task::init | ( | TAO_NS_AdminProperties & | p | ) | `[virtual]`

| Init AdminProperties. Reimplemented in TAO_NS_ThreadPool_Task.

virtual void TAO_NS_Worker_Task::shutdown | ( | void |  | ) | `[pure virtual]`

| Shutdown task. Reimplemented in TAO_NS_Reactive_Task, and TAO_NS_ThreadPool_Task.

virtual TAO_NS_Timer* TAO_NS_Worker_Task::timer | ( | void |  | ) | `[pure virtual]`

| The object used by clients to register timers. Reimplemented in TAO_NS_Reactive_Task, and TAO_NS_ThreadPool_Task.

void TAO_NS_Worker_Task::update_qos_properties | ( | const TAO_NS_QoSProperties & | qos_properties | ) | `[virtual]`

| Update QoS Properties. Reimplemented in TAO_NS_ThreadPool_Task.

The documentation for this class was generated from the following files:

- Worker_Task.h
- Worker_Task.cpp